﻿namespace AuthExample.ViewModels
{
    public class PersonViewModel : ViewModelBase
    {
        private string _username;
        public string Username
        {
            get { return _username; }
            set
            {
                _username = value;
                OnPropertyChanged("Username");
            }
        }

        private string _name;
        public string Name
        {
            get { return _name; }
            set
            {
                if (value != _name)
                {
                    _name = value;
                    OnPropertyChanged("Name");
                }
            }
        }

        private string _gender;
        public string Gender
        {
            get { return _gender; }
            set
            {
                if (value != _gender)
                {
                    _gender = value;
                    OnPropertyChanged("Gender");
                }
            }
        }

        private string _email;
        public string Email
        {
            get { return _email; }
            set
            {
                if (value != _email)
                {
                    _email = value;
                    OnPropertyChanged("Email");
                }
            }
        }

        private string _link;
        public string Link
        {
            get { return _link; }
            set
            {
                if (value != _link)
                {
                    _link = value;
                    OnPropertyChanged("Link");
                }
            }
        }

        private string _bio;
        public string Bio
        {
            get { return _bio; }
            set
            {
                if (value != _bio)
                {
                    _bio = value;
                    OnPropertyChanged("Bio");
                }
            }
        }

        private string _quotes;
        public string Quotes
        {
            get { return _quotes; }
            set
            {
                if (value != _quotes)
                {
                    _quotes = value;
                    OnPropertyChanged("Quotes");
                }
            }
        }
        
    }
}
